All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface SASCatalogEntry

All Superinterfaces:
  CMetadata, ContentLocation, DeployedDataPackage, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root, Text

    public interface SASCatalogEntry

extends Text

Represents a separate storage unit within a SAS catalog. Each entry has an entry type that identifies its purpose to SAS. Some catalog entries contain system information such as key definitions. Other catalog entries contain application information such as window definitions, help windows, formats, informats, macros, or graphics output.

Attributes of SASCatalogEntry are:

- `CatalogEntryType`
- `CatalogEntryName`
- `IsNameFullyQualified`

Associations of SASCatalogEntry are:

- `AssociatedSASCatalog`

## Usage

To create an instance of this SASCatalogEntry, use the `factory` create methods.
Example: create a SASCatalogEntry with name "SASCatalogEntry_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     SASCatalogEntry myObject = (SASCatalogEntry) factory.createComplexMetadataObject(objectStore, "SASCatalogEntry_Object", MetadataObjects.SASCATALOGENTRY, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_ASSOCIATEDSASCATALOG_NAME` Constant used for the name of the AssociatedSASCatalog association.
`static java.lang.String` | `ATTRIBUTE_CATALOGENTRYNAME_NAME` Constant used for the name of the CatalogEntryName attribute.
`static java.lang.String` | `ATTRIBUTE_CATALOGENTRYTYPE_NAME` Constant used for the name of the CatalogEntryType attribute.
`static java.lang.String` | `ATTRIBUTE_ISNAMEFULLYQUALIFIED_NAME` Constant used for the name of the IsNameFullyQualified attribute.

Fields inherited from interface com.sas.metadata.remote.Text
`ASSOCIATION_ASSOCIATEDPROPERTY_NAME, ASSOCIATION_ASSOCIATEDQUERYCLAUSE_NAME, ASSOCIATION_ASSOCIATEDTRAINEDRESULT_NAME, ASSOCIATION_ASSOCIATEDTRANSFORMATION_NAME, ASSOCIATION_ASSOCIATEDTYPE_NAME, ASSOCIATION_TARGETS_NAME, ATTRIBUTE_TEXTROLE_NAME, ATTRIBUTE_TEXTTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.ContentLocation
`ASSOCIATION_ASSOCIATEDCONTENTTYPE_NAME, ASSOCIATION_FILEREFS_NAME, ASSOCIATION_REPORTS_NAME, ASSOCIATION_TSASSOCIATEDNAMESPACE_NAME, ASSOCIATION_UNITOFTIMES_NAME`

Fields inherited from interface com.sas.metadata.remote.DeployedDataPackage
`ASSOCIATION_ALIASES_NAME, ASSOCIATION_ALIASFOR_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_TABLECOLLECTIONS_NAME, ASSOCIATION_USEDBYPACKAGES_NAME, ASSOCIATION_USINGPACKAGES_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`abstract SASCatalog` | `getAssociatedSASCatalog()` Gets the `SASCatalog` for `AssociatedSASCatalog`
`abstract AssociationList` | `getAssociatedSASCatalogs()` Gets the AssociationList of `AssociatedSASCatalogs`
`abstract AssociationList` | `getAssociatedSASCatalogs(boolean fGoToServer)` Gets the Associationlist of `AssociatedSASCatalogs`
`abstract java.lang.String` | `getCatalogEntryName()` Gets the `String` value of `CatalogEntryName`
`abstract int` | `getCatalogEntryNameMaxLength()` Gets the maximum length of `CatalogEntryName`
`abstract int` | `getCatalogEntryNameState()` Gets the Metadata State of `CatalogEntryName`
`abstract java.lang.String` | `getCatalogEntryType()` Gets the `String` value of `CatalogEntryType`
`abstract int` | `getCatalogEntryTypeMaxLength()` Gets the maximum length of `CatalogEntryType`
`abstract int` | `getCatalogEntryTypeState()` Gets the Metadata State of `CatalogEntryType`
`abstract int` | `getIsNameFullyQualified()` Gets the `int` value of `IsNameFullyQualified`
`abstract int` | `getIsNameFullyQualifiedState()` Gets the Metadata State of `IsNameFullyQualified`
`abstract void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `AssociatedSASCatalog`
`abstract void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`abstract void` | `setAssociatedSASCatalog(SASCatalog inObject)` Sets the `AssociatedSASCatalogs` list 0th element to be `inObject`.
`abstract void` | `setAssociatedSASCatalogs(AssociationList list)` Sets the `AssociatedSASCatalogs` list to be `list`.
`abstract void` | `setAssociatedSASCatalogs(AssociationList list, int state)` Sets the `AssociatedSASCatalogs` list to be `list`.
`abstract void` | `setCatalogEntryName(java.lang.String inCatalogEntryName)` Sets the `CatalogEntryName` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setCatalogEntryName(java.lang.String inCatalogEntryName, int state)` Sets the `CatalogEntryName` Metadata State.
`abstract void` | `setCatalogEntryNameState(int state)` Sets the Metadata State of `CatalogEntryName`.
`abstract void` | `setCatalogEntryType(java.lang.String inCatalogEntryType)` Sets the `CatalogEntryType` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setCatalogEntryType(java.lang.String inCatalogEntryType, int state)` Sets the `CatalogEntryType` Metadata State.
`abstract void` | `setCatalogEntryTypeState(int state)` Sets the Metadata State of `CatalogEntryType`.
`abstract void` | `setIsNameFullyQualified(int inIsNameFullyQualified)` Sets the `IsNameFullyQualified` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setIsNameFullyQualified(int inIsNameFullyQualified, int state)` Sets the `IsNameFullyQualified` Metadata State.
`abstract void` | `setIsNameFullyQualified(java.lang.String inIsNameFullyQualified)` Sets the `IsNameFullyQualified` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setIsNameFullyQualified(java.lang.String inIsNameFullyQualified, int state)` Sets the `IsNameFullyQualified` value and Metadata State.
`abstract void` | `setIsNameFullyQualifiedState(int state)` Sets the Metadata State of `IsNameFullyQualified`.

Methods inherited from interface com.sas.metadata.remote.Text
`getAssociatedProperty, getAssociatedPropertys, getAssociatedPropertys, getAssociatedQueryClause, getAssociatedQueryClauses, getAssociatedQueryClauses, getAssociatedTrainedResult, getAssociatedTrainedResults, getAssociatedTrainedResults, getAssociatedTransformation, getAssociatedTransformations, getAssociatedTransformations, getAssociatedType, getAssociatedTypes, getAssociatedTypes, getTargets, getTargets, getTextRole, getTextRoleMaxLength, getTextRoleState, getTextType, getTextTypeMaxLength, getTextTypeState, setAssociatedProperty, setAssociatedPropertys, setAssociatedPropertys, setAssociatedQueryClause, setAssociatedQueryClauses, setAssociatedQueryClauses, setAssociatedTrainedResult, setAssociatedTrainedResults, setAssociatedTrainedResults, setAssociatedTransformation, setAssociatedTransformations, setAssociatedTransformations, setAssociatedType, setAssociatedTypes, setAssociatedTypes, setTargets, setTargets, setTextRole, setTextRole, setTextRoleState, setTextType, setTextType, setTextTypeState`

Methods inherited from interface com.sas.metadata.remote.ContentLocation
`getAssociatedContentType, getAssociatedContentTypes, getAssociatedContentTypes, getFileRefs, getFileRefs, getReports, getReports, getTSAssociatedNamespace, getTSAssociatedNamespaces, getTSAssociatedNamespaces, getUnitofTimes, getUnitofTimes, setAssociatedContentType, setAssociatedContentTypes, setAssociatedContentTypes, setFileRefs, setFileRefs, setReports, setReports, setTSAssociatedNamespace, setTSAssociatedNamespaces, setTSAssociatedNamespaces, setUnitofTimes, setUnitofTimes`

Methods inherited from interface com.sas.metadata.remote.DeployedDataPackage
`getAliases, getAliases, getAliasFor, getAliasFors, getAliasFors, getDeployedComponents, getDeployedComponents, getTableCollections, getTableCollections, getUsedByPackages, getUsedByPackages, getUsingPackages, getUsingPackages, setAliases, setAliases, setAliasFor, setAliasFors, setAliasFors, setDeployedComponents, setDeployedComponents, setTableCollections, setTableCollections, setUsedByPackages, setUsedByPackages, setUsingPackages, setUsingPackages`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_CATALOGENTRYTYPE_NAME

    static final java.lang.String ATTRIBUTE_CATALOGENTRYTYPE_NAME

  Constant used for the name of the CatalogEntryType attribute.

  CatalogEntryType: The catalog entry type.

  See Also:
    Constant Field Values

### ATTRIBUTE_CATALOGENTRYNAME_NAME

    static final java.lang.String ATTRIBUTE_CATALOGENTRYNAME_NAME

  Constant used for the name of the CatalogEntryName attribute.

  CatalogEntryName: The name of the catalog entry.

  See Also:
    Constant Field Values

### ATTRIBUTE_ISNAMEFULLYQUALIFIED_NAME

    static final java.lang.String ATTRIBUTE_ISNAMEFULLYQUALIFIED_NAME

  Constant used for the name of the IsNameFullyQualified attribute.

  IsNameFullyQualified: If the name represents the four-level entry name (library, catalog, entry, type) then this value should be true; otherwise, it should be false.

  See Also:
    Constant Field Values

### ASSOCIATION_ASSOCIATEDSASCATALOG_NAME

    static final java.lang.String ASSOCIATION_ASSOCIATEDSASCATALOG_NAME

  Constant used for the name of the AssociatedSASCatalog association.

  AssociatedSASCatalog: The SAS catalog that contains this entry.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `ContentLocation`
  Specified by:
    `initializeRequiredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Specified by:
    `initializeRequiredObjects` in interface `Text`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `AssociatedSASCatalog`

  Specified by:
    `initializePredObjects` in interface `ContentLocation`
  Specified by:
    `initializePredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Specified by:
    `initializePredObjects` in interface `Text`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getCatalogEntryType

    java.lang.String getCatalogEntryType()
                                         throws java.rmi.RemoteException

  Gets the `String` value of `CatalogEntryType`

  Returns:
    The `CatalogEntryType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getCatalogEntryTypeState

    int getCatalogEntryTypeState()
                                 throws java.rmi.RemoteException

  Gets the Metadata State of `CatalogEntryType`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getCatalogEntryTypeMaxLength

    int getCatalogEntryTypeMaxLength()
                                     throws java.rmi.RemoteException

  Gets the maximum length of `CatalogEntryType`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getCatalogEntryName

    java.lang.String getCatalogEntryName()
                                         throws java.rmi.RemoteException

  Gets the `String` value of `CatalogEntryName`

  Returns:
    The `CatalogEntryName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getCatalogEntryNameState

    int getCatalogEntryNameState()
                                 throws java.rmi.RemoteException

  Gets the Metadata State of `CatalogEntryName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getCatalogEntryNameMaxLength

    int getCatalogEntryNameMaxLength()
                                     throws java.rmi.RemoteException

  Gets the maximum length of `CatalogEntryName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsNameFullyQualified

    int getIsNameFullyQualified()
                                throws java.rmi.RemoteException

  Gets the `int` value of `IsNameFullyQualified`

  Returns:
    The `IsNameFullyQualified`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getIsNameFullyQualifiedState

    int getIsNameFullyQualifiedState()
                                     throws java.rmi.RemoteException

  Gets the Metadata State of `IsNameFullyQualified`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getAssociatedSASCatalogs

    AssociationList getAssociatedSASCatalogs()
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the AssociationList of `AssociatedSASCatalogs`

  Returns:
    Returns the AssociationList of `AssociatedSASCatalogs` which can be of type:
    SASCatalog
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getAssociatedSASCatalog

    SASCatalog getAssociatedSASCatalog()
                                       throws java.rmi.RemoteException,
                                              MdException

  Gets the `SASCatalog` for `AssociatedSASCatalog`

  Returns:
    The `SASCatalog` ( `null` if not set) of `AssociatedSASCatalog`which can be of type:
    SASCatalog
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getAssociatedSASCatalogs

    AssociationList getAssociatedSASCatalogs(boolean fGoToServer)
                                             throws java.rmi.RemoteException,
                                                    MdException

  Gets the Associationlist of `AssociatedSASCatalogs`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `AssociatedSASCatalogs` which can be of type:
    SASCatalog
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setCatalogEntryType

    void setCatalogEntryType(java.lang.String inCatalogEntryType)
                             throws java.rmi.RemoteException

  Sets the `CatalogEntryType` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inCatalogEntryType` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCatalogEntryType

    void setCatalogEntryType(java.lang.String inCatalogEntryType,
                             int state)
                             throws java.rmi.RemoteException

  Sets the `CatalogEntryType` Metadata State.

  Parameters:
    `inCatalogEntryType` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCatalogEntryTypeState

    void setCatalogEntryTypeState(int state)
                                  throws java.rmi.RemoteException

  Sets the Metadata State of `CatalogEntryType`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCatalogEntryName

    void setCatalogEntryName(java.lang.String inCatalogEntryName)
                             throws java.rmi.RemoteException

  Sets the `CatalogEntryName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inCatalogEntryName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCatalogEntryName

    void setCatalogEntryName(java.lang.String inCatalogEntryName,
                             int state)
                             throws java.rmi.RemoteException

  Sets the `CatalogEntryName` Metadata State.

  Parameters:
    `inCatalogEntryName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setCatalogEntryNameState

    void setCatalogEntryNameState(int state)
                                  throws java.rmi.RemoteException

  Sets the Metadata State of `CatalogEntryName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsNameFullyQualified

    void setIsNameFullyQualified(int inIsNameFullyQualified)
                                 throws java.rmi.RemoteException

  Sets the `IsNameFullyQualified` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsNameFullyQualified` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsNameFullyQualified

    void setIsNameFullyQualified(int inIsNameFullyQualified,
                                 int state)
                                 throws java.rmi.RemoteException

  Sets the `IsNameFullyQualified` Metadata State.

  Parameters:
    `inIsNameFullyQualified` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsNameFullyQualified

    void setIsNameFullyQualified(java.lang.String inIsNameFullyQualified)
                                 throws java.rmi.RemoteException

  Sets the `IsNameFullyQualified` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inIsNameFullyQualified` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsNameFullyQualified

    void setIsNameFullyQualified(java.lang.String inIsNameFullyQualified,
                                 int state)
                                 throws java.rmi.RemoteException

  Sets the `IsNameFullyQualified` value and Metadata State.

  Parameters:
    `inIsNameFullyQualified` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setIsNameFullyQualifiedState

    void setIsNameFullyQualifiedState(int state)
                                      throws java.rmi.RemoteException

  Sets the Metadata State of `IsNameFullyQualified`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociatedSASCatalogs

    void setAssociatedSASCatalogs(AssociationList list)
                                  throws java.rmi.RemoteException

  Sets the `AssociatedSASCatalogs` list to be `list`. Object of which can be of type:
  SASCatalog

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociatedSASCatalogs

    void setAssociatedSASCatalogs(AssociationList list,
                                  int state)
                                  throws java.rmi.RemoteException

  Sets the `AssociatedSASCatalogs` list to be `list`. Object of which can be of type:
  SASCatalog

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociatedSASCatalog

    void setAssociatedSASCatalog(SASCatalog inObject)
                                 throws java.rmi.RemoteException

  Sets the `AssociatedSASCatalogs` list 0th element to be `inObject`.

  Parameters:
    `inObject` - SASCatalog
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.